#include <iostream>
#include <sstream>
#include <algorithm>
#include <string>
#include <iterator>

using namespace std;

int main()
{
    string c1;
    cin>>c1;
    string x;
    string y;
    int a;
    int b;
    cin>>a>>b;
    ostringstream repeated;
    ostringstream repeated2;



    if(a>=b+2||b>=a+2){
        cout << "nemoguce";
    }else if(a>b){
        fill_n(ostream_iterator<string>(repeated), a, string("ab"));
        x = repeated.str();
        y = x.substr(0,x.size()-1);
        cout << y;
    }else if (b>a){
        fill_n(ostream_iterator<string>(repeated2), b, string("ba"));
        x = repeated2.str();
        y = x.substr(0,x.size()-1);
        cout << y;
    }else if (a==b){
        fill_n(ostream_iterator<string>(repeated), a, string("ab"));
        x = repeated.str();
        y = x.substr(0,x.size());
        cout << y;
    }



    return 0;
}